## chrome-gnome-shell 8

=== CMakeLists.txt ===
# GNOME Shell integration for Chrome build script

cmake_minimum_required (VERSION 2.8)
project (chrome-gnome-shell NONE)

# Suppress warning
if(NOT DEFINED CMAKE_SIZEOF_VOID_P)
	set(CMAKE_SIZEOF_VOID_P 8)
endif(NOT DEFINED CMAKE_SIZEOF_VOID_P)

# Variables
set(PROJECT_VERSION "8")

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
set(ARCHIVE_FULL_NAME ${ARCHIVE_NAME}.tar.xz)
set(ARCHIVE_DEB_NAME ${CMAKE_PROJECT_NAME}_${PROJECT_VERSION}.orig.tar.xz)
set(DEB_DIR ${CMAKE_CURRENT_BINARY_DIR}/deb)

set(EXTENSION_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/extension)
set(EXTENSION_BUILD_DIR ${CMAKE_BINARY_DIR}/extension)
set(CHROME_BUILD_DIR ${EXTENSION_BUILD_DIR}/chrome)
set(OPERA_BUILD_DIR ${EXTENSION_BUILD_DIR}/opera)
set(FIREFOX_BUILD_DIR ${EXTENSION_BUILD_DIR}/firefox)

# Options
option(BUILD_EXTENSION		"Build extension zip package"	TRUE)
option(BUILD_CONNECTOR		"Build native messaging host"	TRUE)
option(BUILD_SOURCE_PACKAGE	"Build source package"		FALSE)
option(BUILD_DEB		"Build debian package"		FALSE)
option(BUILD_MESSAGES		"Update translation strings"	FALSE)
option(USE_DEBIAN_LAYOUT	"Use --install-layout=deb distutils parameter"	FALSE)

# Default extension key for Chrome web store
if(NOT DEFINED CHROME_EXTENSION_KEY)
	set(CHROME_EXTENSION_KEY "MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAlig8TAPPQZinMkJnptC0ldizx6fG9jSjZDJ9c8GuLcXeGRH+NMlQuPC9bR5IQlT7+4VY/1tm1+IZ4xvITx1wXCNTR+KXzZv3VNc2D+logehK7oIRTRj0fLhixrx4NLSNK7L7HgV2xcIoW6QV0jOdFcTPL0mWXodXSzZePrvXuflF7qpwNxLzYVi04Vh3xu2oR2Pc9SwfZ4SNbyCaunH/p8n5AYmDuogI2Ah++RZw0ctnqn7mmHrGXteBu/vkpcHZu3B3eW9PFSrv69rRs8duybYR9C91hJm6yzRqZqIpindIU3k2HnNWeCFWkRVpZPhaNVoxcBUO7wWUUwdIflW2JwIDAQAB")
endif(NOT DEFINED CHROME_EXTENSION_KEY)

# Default extension key for Opera addons
if(NOT DEFINED OPERA_EXTENSION_KEY)
	set(OPERA_EXTENSION_KEY "MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1QBzvBFxSTBP1Z3u+B3GnxOhZiT/LLGJ9R3Mu3R5ap1YgvbHNqSj0CmrWE+MvJUYA+AxHSRP6ctKfPBZl/kdGYGLPgvagGBEEbutCerj9www7T2LAsFNc5gIgDXaU0P74Yik8MjLZIXOC3Q91Kien5Jbtit382HNVHl2nRbhgGZ9LZ+6UJnzSseW9NHw0/XRRnT0kv0Ih7lgC55xWfP7guam1uaT5DPxC7W5cy9V1z7mljBf50OxgnbEmf7Xvfz4QpQfDyQWE5hqKlBuPc8W/8bvYmWN+FDBqhls/FCml3icAElNMBg0YryFEDzu6xCTzgHqDKYu5SN49u+m6tyamQIDAQAB")
endif(NOT DEFINED OPERA_EXTENSION_KEY)

# Debian variables
if(NOT DEFINED DEBIAN_VERSION)
	set(DEBIAN_VERSION "0ubuntu1")
endif(NOT DEFINED DEBIAN_VERSION)

if(NOT DEFINED DEBIAN_DISTRO)
	set(DEBIAN_DISTRO "trusty")
endif(NOT DEFINED DEBIAN_DISTRO)

macro(find_program_ex)
	string(TOUPPER ${ARGV0} _PROGRAM_UPPER)

	set(_NAMES ${ARGV})
	math(EXPR _NAMES_LAST_INDEX "${ARGC}-1")
	list(GET _NAMES ${_NAMES_LAST_INDEX} _MESSAGE_STATUS)
	list(REMOVE_AT _NAMES ${_NAMES_LAST_INDEX})

	find_program(${_PROGRAM_UPPER}_EXECUTABLE NAMES ${_NAMES})

	if(${_PROGRAM_UPPER}_EXECUTABLE)
		message(STATUS "Found ${ARGV0}: ${${_PROGRAM_UPPER}_EXECUTABLE}")
		set(${_PROGRAM_UPPER}_FOUND TRUE)
	else(${_PROGRAM_UPPER}_EXECUTABLE)
		message(${_MESSAGE_STATUS} "Could NOT find ${ARGV0}.")
	endif(${_PROGRAM_UPPER}_EXECUTABLE)
endmacro(find_program_ex)

include(GNUInstallDirs)

# Options validating
if(NOT BUILD_EXTENSION AND NOT BUILD_CONNECTOR AND NOT BUILD_MESSAGES)
	message(FATAL_ERROR "No build options selected")
endif(NOT BUILD_EXTENSION AND NOT BUILD_CONNECTOR AND NOT BUILD_MESSAGES)

if(BUILD_DEB AND NOT BUILD_SOURCE_PACKAGE)
	message(STATUS "Building of debian package enabled. Turning on building source package.")
	set(BUILD_SOURCE_PACKAGE TRUE)
endif(BUILD_DEB AND NOT BUILD_SOURCE_PACKAGE)

if(BUILD_SOURCE_PACKAGE AND NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git/)
	message(FATAL_ERROR "Unable to build source package outside of git repository.")
endif(BUILD_SOURCE_PACKAGE AND NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git/)

if(BUILD_MESSAGES AND NOT DEFINED GETTEXT_REPORT_EMAIL)
	message(FATAL_ERROR "GETTEXT_REPORT_EMAIL must be specified to generate po template.")
endif(BUILD_MESSAGES AND NOT DEFINED GETTEXT_REPORT_EMAIL)

if(BUILD_EXTENSION OR BUILD_CONNECTOR)
	find_program_ex(base64 gbase64 FATAL_ERROR)
	find_program_ex(sha256sum gsha256sum FATAL_ERROR)
	find_program_ex(head ghead FATAL_ERROR)
	find_program_ex(tr gtr FATAL_ERROR)
	find_program_ex(jq FATAL_ERROR)

	# https://github.com/adobe/chromium/blob/master/chrome/common/extensions/extension.cc#L696
	# http://stackoverflow.com/questions/23873623/obtaining-chrome-extension-id-for-development
	execute_process(COMMAND echo "${CHROME_EXTENSION_KEY}"
			COMMAND ${BASE64_EXECUTABLE} -d
			COMMAND ${SHA256SUM_EXECUTABLE}
			COMMAND ${HEAD_EXECUTABLE} -c32
			COMMAND ${TR_EXECUTABLE} 0-9a-f a-p
			OUTPUT_VARIABLE CHROME_EXTENSION_ID)
	message(STATUS "Calculated Chrome extension id: ${CHROME_EXTENSION_ID}")

	execute_process(COMMAND echo "${OPERA_EXTENSION_KEY}"
			COMMAND ${BASE64_EXECUTABLE} -d
			COMMAND ${SHA256SUM_EXECUTABLE}
			COMMAND ${HEAD_EXECUTABLE} -c32
			COMMAND ${TR_EXECUTABLE} 0-9a-f a-p
			OUTPUT_VARIABLE OPERA_EXTENSION_ID)
	message(STATUS "Calculated Opera extension id: ${OPERA_EXTENSION_ID}")
endif(BUILD_EXTENSION OR BUILD_CONNECTOR)

# Options handling
if(BUILD_EXTENSION)
	find_program_ex(7z FATAL_ERROR)

	file(COPY "${EXTENSION_SOURCES}/" DESTINATION "${CHROME_BUILD_DIR}"
		PATTERN "manifest*.json" EXCLUDE)

	file(COPY "${EXTENSION_SOURCES}/" DESTINATION "${OPERA_BUILD_DIR}"
		PATTERN "manifest*.json" EXCLUDE)

	file(COPY "${EXTENSION_SOURCES}/" DESTINATION "${FIREFOX_BUILD_DIR}"
		PATTERN "manifest*.json" EXCLUDE)

	set(PUBLIC_KEY ${CHROME_EXTENSION_KEY})
	configure_file("${EXTENSION_SOURCES}/manifest.json" "${CHROME_BUILD_DIR}/")

	set(PUBLIC_KEY ${OPERA_EXTENSION_KEY})
	configure_file("${EXTENSION_SOURCES}/manifest.json" "${OPERA_BUILD_DIR}/")

	unset(PUBLIC_KEY)

	add_custom_target(chrome-extension ALL
		COMMAND "${7Z_EXECUTABLE}" a -tzip "${CMAKE_BINARY_DIR}/extension-chrome.zip" ./
		WORKING_DIRECTORY "${CHROME_BUILD_DIR}")
	add_custom_target(opera-extension ALL
		COMMAND "${7Z_EXECUTABLE}" a -tzip "${CMAKE_BINARY_DIR}/extension-opera.zip" ./
		WORKING_DIRECTORY "${OPERA_BUILD_DIR}")
	add_custom_target(firefox-extension ALL
		COMMAND "${JQ_EXECUTABLE}" -s "'add|del(.key)'"
				'${EXTENSION_SOURCES}/manifest.json' '${EXTENSION_SOURCES}/manifest.firefox.json'
				> "${FIREFOX_BUILD_DIR}/manifest.json"
		COMMAND "${7Z_EXECUTABLE}" a -tzip "${CMAKE_BINARY_DIR}/extension-firefox.zip" ./
		WORKING_DIRECTORY "${FIREFOX_BUILD_DIR}")
endif(BUILD_EXTENSION)

if(BUILD_CONNECTOR)
	find_package(PythonInterp REQUIRED)

	set(CONNECTOR_SETUP "${CMAKE_CURRENT_SOURCE_DIR}/connector/setup.py")
	add_custom_target(build-connector ALL
                       COMMAND ${PYTHON_EXECUTABLE} ${CONNECTOR_SETUP} build)

	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/connector/org.gnome.chrome_gnome_shell.json"
			"${CMAKE_BINARY_DIR}/")
	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/connector/org.gnome.ChromeGnomeShell.service.in"
			"${CMAKE_BINARY_DIR}/org.gnome.ChromeGnomeShell.service")
	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/policies/chrome-gnome-shell.json"
			"${CMAKE_BINARY_DIR}/")

	add_custom_target(firefox-native-manifest ALL
			COMMAND "${JQ_EXECUTABLE}" -s "'add|del(.allowed_origins)'"
				"${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json"
				"${CMAKE_CURRENT_SOURCE_DIR}/connector/org.gnome.chrome_gnome_shell.firefox.json"
				> "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.firefox.json")

	if(USE_DEBIAN_LAYOUT)
		set(DISTUTILS_EXTRA_ARGS "--install-layout=deb")
	else()
		set(DISTUTILS_EXTRA_ARGS "")
	endif(USE_DEBIAN_LAYOUT)

	install(CODE "
		if(DEFINED ENV{DESTDIR})
			set(DESTDIR \"\$ENV{DESTDIR}\")
		else(DEFINED ENV{DESTDIR})
			set(DESTDIR \"/\")
		endif(DEFINED ENV{DESTDIR})

		execute_process(COMMAND ${PYTHON_EXECUTABLE} ${CONNECTOR_SETUP}
					install ${DISTUTILS_EXTRA_ARGS}
						--root \"\${DESTDIR}\"
						--prefix \"${CMAKE_INSTALL_PREFIX}\")")
	install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/etc/chromium/native-messaging-hosts/")
	install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/etc/opt/chrome/native-messaging-hosts/")
	install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.firefox.json"
			DESTINATION "${CMAKE_INSTALL_LIBDIR}/mozilla/native-messaging-hosts/"
			RENAME "org.gnome.chrome_gnome_shell.json")
	install(FILES "${CMAKE_BINARY_DIR}/chrome-gnome-shell.json" DESTINATION "/etc/opt/chrome/policies/managed/")
	install(FILES "${CMAKE_BINARY_DIR}/chrome-gnome-shell.json" DESTINATION "/etc/chromium/policies/managed/")

	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/connector/org.gnome.ChromeGnomeShell.desktop" DESTINATION "${CMAKE_INSTALL_DATADIR}/applications/")
	install(FILES "${CMAKE_BINARY_DIR}/org.gnome.ChromeGnomeShell.service" DESTINATION "${CMAKE_INSTALL_DATADIR}/dbus-1/services/")

	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/extension/icons/GnomeLogo-16.png"
		DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/gnome/16x16/apps/"
		RENAME org.gnome.ChromeGnomeShell.png)
	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/extension/icons/GnomeLogo-48.png"
		DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/gnome/48x48/apps/"
		RENAME org.gnome.ChromeGnomeShell.png)
	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/extension/icons/GnomeLogo-128.png"
		DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/gnome/128x128/apps/"
		RENAME org.gnome.ChromeGnomeShell.png)

	# There is wrong patch in FreeBSD that forces Chromium to look into
	# /usr/local/etc/chrome/native-messaging-hosts for native messaging host manifest.
	# https://svn0.us-east.freebsd.org/ports/head/www/chromium/files/patch-chrome_common_chrome__paths.cc
	if(CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
		install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/usr/local/etc/chrome/native-messaging-hosts/")
		install(FILES "${CMAKE_BINARY_DIR}/chrome-gnome-shell.json" DESTINATION "/usr/local/etc/chrome/policies/managed/")
	endif(CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
endif(BUILD_CONNECTOR)

if(BUILD_SOURCE_PACKAGE)
	set(MESSAGE_NO_DIST "Unable to generate dist target. Dependencies missing.")

	find_program_ex(xz WARNING)
	find_package(Git)

	if(GIT_FOUND AND XZ_FOUND)
		# http://agateau.com/2009/cmake-and-make-dist-the-simple-version/
		add_custom_target(dist
			COMMAND ${GIT_EXECUTABLE} archive --prefix=${ARCHIVE_NAME}/ HEAD | ${XZ_EXECUTABLE} -z > ${CMAKE_BINARY_DIR}/${ARCHIVE_FULL_NAME}
			WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
	else(GIT_FOUND AND XZ_FOUND)
		if(BUILD_DEB)
			message(FATAL_ERROR ${MESSAGE_NO_DIST})
		else(BUILD_DEB)
			message(WARNING ${MESSAGE_NO_DIST})
		endif(BUILD_DEB)
	endif(GIT_FOUND AND XZ_FOUND)

	if(BUILD_DEB)
		find_program_ex(debuild FATAL_ERROR)
		find_program_ex(tar FATAL_ERROR)

		if(GPG_KEY)
			message(STATUS "Using GPG key ${GPG_KEY}")
			set(DEBUILD_KEY "-k${GPG_KEY}")
		else(GPG_KEY)
			message(STATUS "GPG_KEY not set. Using default GPG key")
		endif(GPG_KEY)

		configure_file("${CMAKE_CURRENT_SOURCE_DIR}/contrib/ubuntu/changelog"
				"${CMAKE_BINARY_DIR}/debian_changelog")

		add_custom_target(deb_prepare
			DEPENDS dist
			COMMAND ${CMAKE_COMMAND} -E make_directory "${DEB_DIR}/${ARCHIVE_NAME}"
			COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_FULL_NAME}" "${DEB_DIR}/${ARCHIVE_DEB_NAME}"
			COMMAND ${TAR_EXECUTABLE} -xvf "${DEB_DIR}/${ARCHIVE_DEB_NAME}" -C "${DEB_DIR}/${ARCHIVE_NAME}" --strip-components=1)

		add_custom_target(deb ALL
			DEPENDS deb_prepare
			COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/contrib/ubuntu" "${DEB_DIR}/${ARCHIVE_NAME}/debian"
			COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_BINARY_DIR}/debian_changelog" "${DEB_DIR}/${ARCHIVE_NAME}/debian/changelog"
			COMMAND ${DEBUILD_EXECUTABLE} -S ${DEBUILD_KEY}
			WORKING_DIRECTORY ${DEB_DIR}/${ARCHIVE_NAME})
	endif(BUILD_DEB)
endif(BUILD_SOURCE_PACKAGE)

if(BUILD_MESSAGES)
	find_package(Gettext)
	if(NOT GETTEXT_FOUND)
		message(FATAL_ERROR "Gettext not found")
	endif(NOT GETTEXT_FOUND)

	add_custom_target(generate-pot

## chrome-gnome-shell 7.1

=== debian/changelog ===
chrome-gnome-shell (7.1-1ubuntu0.1) yakkety; urgency=medium

  * debian/patches/debian-distribution.patch:
    - Modify to enable this package to work with Google Chrome
      (instead of Chromium only) (LP: #1644370) (Closes: #840804)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Nov 2016 18:01:51 -0500

chrome-gnome-shell (7.1-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #826848). Picked most changes
    from Upstream's PPA.
  * [6f85834] Add patch to relax chromium extension installation policy
  * [e4c9dfc] Add missing sources for jquery and tabby. Have been
    included in the upstream repo now

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 29 Sep 2016 13:40:02 +0530

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: chrome-gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), cmake, python (>= 2.7), gnome-pkg-tools
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git

Package: chrome-gnome-shell
Architecture: all
Depends: ${misc:Depends}, gnome-shell, python (>= 2.7), python-gi
Suggests: chromium
Description: GNOME Shell integration for Chromium browser
 Provides integration with GNOME Shell extensions repository for
 Chromium (and other derivaties) browser
 .
 This package provides the connector that talks with the browser
 extension

## chrome-gnome-shell 7.2

=== debian/changelog ===
chrome-gnome-shell (7.2-2ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2016 19:59:29 -0500

chrome-gnome-shell (7.2-2) unstable; urgency=medium

  * [92d31a8] Drop upstream's broken installation script
  * [9a4fc87] Don't touch conffiles (Closes: #847226)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 06 Dec 2016 23:46:51 +0530

chrome-gnome-shell (7.2-1) unstable; urgency=medium

  * [f31a9ad] Fix patch for missing comma in syntax.
    Thanks: Yuri Konotopov
  * [9eea734] Add README.Debian with some details about current
    functionality
  * [cf70672] New upstream version 7.2
  * [9b19951] Refresh patch debian/patches/debian-distribution.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 01 Dec 2016 21:48:57 +0530

## chrome-gnome-shell 8

=== debian/changelog ===
chrome-gnome-shell (8-4) unstable; urgency=medium

  * Update description and add pointers to browser extension.
    Thanks to Jeremy Bicha (Closes: #851479)
  * Fix typo in spelling. Thanks Michael Biebl

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 21 Mar 2017 23:18:29 +0530

chrome-gnome-shell (8-3) unstable; urgency=medium

  * [0f30fa7] Cherry pick fixes from upstream, fixing crashes and
    exceptions

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 24 Jan 2017 22:46:42 +0530

chrome-gnome-shell (8-2) unstable; urgency=medium

  * [faf817c] Add runtime dependency on python-requests.
    Thanks to Yuri Konotopov

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 11 Jan 2017 13:45:14 +0530

chrome-gnome-shell (8-1) unstable; urgency=medium

  * [db1c7db] New upstream version 8
    This version extends support for Firefox browsers
  * [be9c337] Refresh patch
  * [60eaced] Add jq to build deps
  * [a83d074] Update copyright with MIT License
  * [963d677] Delete  debian/missing-sources. Provided by upstream now

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 10 Jan 2017 22:56:33 +0530

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: chrome-gnome-shell
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, 
Build-Depends: debhelper (>= 9.0.0), cmake, python (>= 2.7), gnome-pkg-tools, jq
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git

Package: chrome-gnome-shell
Architecture: all
Depends: ${misc:Depends}, gnome-shell, python (>= 2.7), python-gi, python-requests (>= 2.0)
Suggests: chromium | chromium-browser, firefox
Enhances: chromium, chromium-browser, firefox
Description: GNOME Shell extensions integration for web browsers
 Provides integration with GNOME Shell extensions repository for
 Chromium (and derivatives) and Firefox
 .
 This package provides the connector that talks with the browser
 extension

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXTENSION=OFF -DUSE_DEBIAN_LAYOUT=ON

## chrome-gnome-shell 8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif(NOT DEFINED CMAKE_SIZEOF_VOID_P)
 
 # Variables
-set(PROJECT_VERSION "8")
+set(PROJECT_VERSION "8.2")
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 set(ARCHIVE_FULL_NAME ${ARCHIVE_NAME}.tar.xz)

=== debian/changelog ===
chrome-gnome-shell (8.2-0ubuntu2) zesty; urgency=medium

  * Add git_fix-messaging-for-firefox54.patch:
    - Make compatible with Firefox 54+
  * Add git_handle-gnome-shell-not-running.patch:
    - Don't show error popup when gnome-shell isn't running (LP: #1671572)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2017 12:06:55 -0400

chrome-gnome-shell (8.2-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2017 14:33:37 -0500

chrome-gnome-shell (8-2ubuntu4) zesty; urgency=medium

  * Add patches from Debian 8-3 (cherrypicked from upstream 8.1) to fix
    crashes (LP: #1660063)
    - array-duplicates.patch
    - assume-version-1.patch
    - dont-use-get_dbus_connection.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2017 23:03:57 -0500

chrome-gnome-shell (8-2ubuntu3) zesty; urgency=medium

  * Don't try to use alternate Enhances

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 16:07:31 -0500

chrome-gnome-shell (8-2ubuntu2) zesty; urgency=medium

  * debian/control, debian/rules: Use python3 instead of python
    (Closes: #851479)
  * Update description and README.Debian now that Firefox is
    also supported

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 14:42:14 -0500

chrome-gnome-shell (8-2ubuntu1) zesty; urgency=medium

  * Sync with Debian (LP: #1652537). Remaining change:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 05:51:51 -0500

## chrome-gnome-shell 8.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif(NOT DEFINED CMAKE_SIZEOF_VOID_P)
 
 # Variables
-set(PROJECT_VERSION "8.2")
+set(PROJECT_VERSION "8.2.1")
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 set(ARCHIVE_FULL_NAME ${ARCHIVE_NAME}.tar.xz)

=== debian/changelog ===
chrome-gnome-shell (8.2.1-1ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining changes:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)
    - Add git_handle-gnome-shell-not-running.patch:
      + Don't show error popup when gnome-shell isn't running (LP: #1671572)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Mar 2017 08:44:20 -0400

chrome-gnome-shell (8.2.1-1) experimental; urgency=medium

  * Update description and add pointers to browser extension.
    Thanks to Jeremy Bicha (Closes: #851479)
  * Really build for Python3. Thanks to Jeremy Bicha
  * Fix typo in spelling. Thanks Michael Biebl
  * New upstream version 8.2.1
  * Drop patches, new upstream release

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 28 Mar 2017 17:26:46 +0530

## chrome-gnome-shell 9

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif(NOT DEFINED CMAKE_SIZEOF_VOID_P)
 
 # Variables
-set(PROJECT_VERSION "8.2.1")
+set(PROJECT_VERSION "9")
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 set(ARCHIVE_FULL_NAME ${ARCHIVE_NAME}.tar.xz)

=== debian/changelog ===
chrome-gnome-shell (9-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Oct 2017 07:43:04 +0100

chrome-gnome-shell (9-1) unstable; urgency=medium

  * New upstream version 9

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 07 Aug 2017 12:46:34 +0530

chrome-gnome-shell (9-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/watch
  * -debian/patches/git_handle-gnome-shell-not-running.patch

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 04 May 2017 11:11:47 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Source: chrome-gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, 
-Build-Depends: debhelper (>= 9.0.0), cmake, python (>= 2.7), gnome-pkg-tools, jq
+Build-Depends: debhelper (>= 9.0.0), cmake, python3, gnome-pkg-tools, jq
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
@@ -15,7 +16,7 @@
 
 Package: chrome-gnome-shell
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell, python (>= 2.7), python-gi, python-requests (>= 2.0)
+Depends: ${misc:Depends}, gnome-shell, python3, python3-gi, python3-requests
 Suggests: chromium | chromium-browser, firefox
 Enhances: chromium, chromium-browser, firefox
 Description: GNOME Shell extensions integration for web browsers

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@ --with gnome
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_EXTENSION=OFF -DUSE_DEBIAN_LAYOUT=ON
+	dh_auto_configure -- -DBUILD_EXTENSION=OFF -DUSE_DEBIAN_LAYOUT=ON -DPython_ADDITIONAL_VERSIONS=3

## chrome-gnome-shell 10

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif(NOT DEFINED CMAKE_SIZEOF_VOID_P)
 
 # Variables
-set(PROJECT_VERSION "9")
+set(PROJECT_VERSION "10")
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 set(ARCHIVE_FULL_NAME ${ARCHIVE_NAME}.tar.xz)
@@ -159,8 +159,6 @@
 			"${CMAKE_BINARY_DIR}/")
 	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/connector/org.gnome.ChromeGnomeShell.service.in"
 			"${CMAKE_BINARY_DIR}/org.gnome.ChromeGnomeShell.service")
-	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/policies/chrome-gnome-shell.json"
-			"${CMAKE_BINARY_DIR}/")
 
 	add_custom_target(firefox-native-manifest ALL
 			COMMAND "${JQ_EXECUTABLE}" -s "'add|del(.allowed_origins)'"
@@ -185,13 +183,20 @@
 					install ${DISTUTILS_EXTRA_ARGS}
 						--root \"\${DESTDIR}\"
 						--prefix \"${CMAKE_INSTALL_PREFIX}\")")
-	install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/etc/chromium/native-messaging-hosts/")
-	install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/etc/opt/chrome/native-messaging-hosts/")
+
+	if(NOT CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
+		install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/etc/chromium/native-messaging-hosts/")
+		install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/etc/opt/chrome/native-messaging-hosts/")
+	else(NOT CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
+		# FreeBSD uses patch that forces Chromium to look into undocumented
+		# "/usr/local/etc/chrome/native-messaging-hosts" folder for native messaging host manifest.
+		# https://github.com/freebsd/freebsd-ports/blob/master/www/chromium/files/patch-chrome_common_chrome__paths.cc
+		install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/usr/local/etc/chrome/native-messaging-hosts/")
+	endif(NOT CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
+
 	install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.firefox.json"
 			DESTINATION "${CMAKE_INSTALL_LIBDIR}/mozilla/native-messaging-hosts/"
 			RENAME "org.gnome.chrome_gnome_shell.json")
-	install(FILES "${CMAKE_BINARY_DIR}/chrome-gnome-shell.json" DESTINATION "/etc/opt/chrome/policies/managed/")
-	install(FILES "${CMAKE_BINARY_DIR}/chrome-gnome-shell.json" DESTINATION "/etc/chromium/policies/managed/")
 
 	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/connector/org.gnome.ChromeGnomeShell.desktop" DESTINATION "${CMAKE_INSTALL_DATADIR}/applications/")
 	install(FILES "${CMAKE_BINARY_DIR}/org.gnome.ChromeGnomeShell.service" DESTINATION "${CMAKE_INSTALL_DATADIR}/dbus-1/services/")
@@ -205,14 +210,6 @@
 	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/extension/icons/GnomeLogo-128.png"
 		DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/gnome/128x128/apps/"
 		RENAME org.gnome.ChromeGnomeShell.png)
-
-	# There is wrong patch in FreeBSD that forces Chromium to look into
-	# /usr/local/etc/chrome/native-messaging-hosts for native messaging host manifest.
-	# https://svn0.us-east.freebsd.org/ports/head/www/chromium/files/patch-chrome_common_chrome__paths.cc
-	if(CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
-		install(FILES "${CMAKE_BINARY_DIR}/org.gnome.chrome_gnome_shell.json" DESTINATION "/usr/local/etc/chrome/native-messaging-hosts/")
-		install(FILES "${CMAKE_BINARY_DIR}/chrome-gnome-shell.json" DESTINATION "/usr/local/etc/chrome/policies/managed/")
-	endif(CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
 endif(BUILD_CONNECTOR)
 
 if(BUILD_SOURCE_PACKAGE)
@@ -270,3 +267,15 @@
 	endif(NOT GETTEXT_FOUND)
 
 	add_custom_target(generate-pot
+		COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/contrib/chrome-messages2po.py
+			--email ${GETTEXT_REPORT_EMAIL}
+			--reference-lang en
+			--write-pot
+			${CMAKE_CURRENT_SOURCE_DIR}/contrib/chrome-web-store/
+			${CMAKE_CURRENT_SOURCE_DIR}/extension/_locales/
+			${CMAKE_CURRENT_SOURCE_DIR}/po/)
+
+	add_custom_target(update-po
+		DEPENDS generate-pot)
+
+	file(GLOB PO_FILES

=== debian/changelog ===
chrome-gnome-shell (10-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * Drop relax-chromium-policy.patch: Obsolete with new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Feb 2018 16:45:07 -0500

chrome-gnome-shell (9-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3
  * Drop no-longer-necessary debian-distribution.patch (Closes: #840804)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 12:17:16 -0500

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Source: chrome-gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, 
-Build-Depends: debhelper (>= 9.0.0), cmake, python3, gnome-pkg-tools, jq
-Standards-Version: 3.9.8
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 11), cmake, python3, gnome-pkg-tools, jq
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/chrome-gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/chrome-gnome-shell.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
 
 Package: chrome-gnome-shell
 Architecture: all

## chrome-gnome-shell 10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif(NOT DEFINED CMAKE_SIZEOF_VOID_P)
 
 # Variables
-set(PROJECT_VERSION "10")
+set(PROJECT_VERSION "10.1")
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 set(ARCHIVE_FULL_NAME ${ARCHIVE_NAME}.tar.xz)

=== debian/changelog ===
chrome-gnome-shell (10.1-5) unstable; urgency=medium

  * Team upload
  * Avoid failure to install or reconfigure when
    /etc/opt/chrome/native-messaging-hosts/org.gnome.chrome_gnome_shell.json
    already exists. Thanks to Mike Miller. (Closes: #919028)
  * Remove /etc/opt/chrome/native-messaging-hosts during purge, avoiding
    leftover directories during remove-then-purge (thanks, piuparts)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Feb 2019 13:48:08 +0000

chrome-gnome-shell (10.1-4) unstable; urgency=medium

  * Use debian/postinst and debian/postrm to handle the Chrome integration
    file to work around base-files and piuparts (Closes: #888549)
  * Drop lintian override file since it's now no longer needed
  * Drop obsolete debian/preinst, not needed after Stretch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 30 Dec 2018 17:31:21 -0500

chrome-gnome-shell (10.1-3) unstable; urgency=medium

  * Drop debian-distribution.patch again
  * Add lintian override for dir-or-file-in-etc-opt
    - chrome-gnome-shell supports Firefox and Chromium. To also support
      Chrome (which installs to /opt), it must install a file in /etc/opt/

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 19:08:16 -0500

chrome-gnome-shell (10.1-2) unstable; urgency=high

  * debian/rules: Set -DCMAKE_INSTALL_LIBDIR=lib
    - Keep installing to /usr/lib/mozilla/ even with debhelper 11.4
  * Bump Standards-Version to 4.3.0
  * Temporarily restore debian-distribution.patch so that this package
    can get to Testing while we sort out 896761

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 19:08:51 -0500

chrome-gnome-shell (10.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/maintscript: Remove obsolete conffiles

  [ Jeremy Bicha ]
  * New upstream release
  * Add Breaks against firefox and firefox-esr << 56 per upstream

  [ Ritesh Raj Sarraf ]
  * Add build dependency on python3-distutils (Closes: #896761)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 12 Aug 2018 15:17:07 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: chrome-gnome-shell
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               cmake,
               gnome-pkg-tools,
               jq,
               python3,
               python3-distutils
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/chrome-gnome-shell
Vcs-Git: https://salsa.debian.org/gnome-team/chrome-gnome-shell.git
Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome

Package: chrome-gnome-shell
Architecture: all
Depends: ${misc:Depends}, gnome-shell, python3, python3-gi, python3-requests
Suggests: chromium | chromium-browser, firefox
Enhances: chromium, chromium-browser, firefox
Breaks: firefox (<< 56), firefox-esr (<< 56)
Description: GNOME Shell extensions integration for web browsers
 Provides integration with GNOME Shell extensions repository for
 Chromium (and derivatives) and Firefox
 .
 This package provides the connector that talks with the browser
 extension

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXTENSION=OFF -DUSE_DEBIAN_LAYOUT=ON \
		-DPython_ADDITIONAL_VERSIONS=3 -DCMAKE_INSTALL_LIBDIR=lib

# Use debian/postinst to install the Chrome conffile
# and debian/postrm to remove it since dpkg's automatic
# conffile handling doesn't handle the special /etc/opt/ directory
# https://bugs.debian.org/888549
override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/chrome-gnome-shell/usr/share/chrome-gnome-shell
	mv debian/chrome-gnome-shell/etc/opt/chrome/native-messaging-hosts/org.gnome.chrome_gnome_shell.json \
		debian/chrome-gnome-shell/usr/share/chrome-gnome-shell/org.gnome.chrome_gnome_shell.json
	rm -rf debian/chrome-gnome-shell/etc/opt
